# Class AbstractTypeVisitor9<R,P>

java.lang.Object
javax.lang.model.util.AbstractTypeVisitor6<R,P>
javax.lang.model.util.AbstractTypeVisitor7<R,P>
javax.lang.model.util.AbstractTypeVisitor8<R,P>
javax.lang.model.util.AbstractTypeVisitor9<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `TypeVisitor<R,P>`

Direct Known Subclasses:
  `AbstractTypeVisitor14`

@SupportedSourceVersion(RELEASE_14) public abstract class AbstractTypeVisitor9<R,P> extends AbstractTypeVisitor8<R,P>
A skeletal visitor of types with default behavior appropriate for source versions `RELEASE_9` through `RELEASE_14`.

Since:
  9
See Also:
  - Compatibility note for subclasses
  - `AbstractTypeVisitor6`
  - `AbstractTypeVisitor7`
  - `AbstractTypeVisitor8`
  - `AbstractTypeVisitor14`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractTypeVisitor9()`
  Constructor for concrete subclasses to call.

- ## Method Summary

  ### Methods declared in class AbstractTypeVisitor8

  `visitIntersection`

  ### Methods declared in class AbstractTypeVisitor7

  `visitUnion`

  ### Methods declared in class AbstractTypeVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface TypeVisitor

  `visitArray, visitDeclared, visitError, visitExecutable, visitNoType, visitNull, visitPrimitive, visitTypeVariable, visitWildcard`

- ## Constructor Details

  - ### AbstractTypeVisitor9

    protected AbstractTypeVisitor9()
    Constructor for concrete subclasses to call.